<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Landing</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <section>
        <div class="burg">
            <div class="line"></div>
            <div class="line"></div>
            <div class="line"></div>
        </div>
        <ul class="menu">
            <li><a href="#">page1</a></li>
            <li><a href="#">page2</a></li>
            <li><a href="#">page3</a></li>
        </ul>
    </section>
    <section></section>
    <section></section>
    <script>
    var burg = document.querySelector(".burg")
    var menu  = document.querySelector('.menu')
    var aArray = document.querySelectorAll('a')

    burg.addEventListener("click", function(){
        burg.classList.toggle('close')
        menu.classList.toggle('open')
        if(menu.className.includes('open')){
            document.body.addEventListener('mousedown', click)
        }
    })

    aArray.forEach(function(item, i){
        item.addEventListener('click',function(){
            burg.classList.remove('close')
            menu.classList.remove('open')
            document.body.removeEventListener('mousedown', click)
        })
    })

    function click (e){
        if ( e.target.closest('ul') == null && e.target.closest('.burg') == null ){
            burg.classList.remove('close')
            menu.classList.remove('open')
        }
        document.body.removeEventListener('mousedown', click)
    }
    </script>
</body>
</html>